For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • GETList Transactions
      • GETGet Transaction by ID
LogoLogo
StatusDashboard
API ReferenceTransactions

List Transactions

GET
https://api.brzip.com.br/api/v1/transactions
GET
/api/v1/transactions
$curl -G https://api.brzip.com.br/api/v1/transactions \
> -d limit=50 \
> -d offset=0 \
> -d type=cash_in \
> -d status=completed \
> -d e2e=E12345678920260411 \
> -d reference=T2604112031qzolgrk \
> --data-urlencode date_from=2026-04-01T00:00:00Z \
> --data-urlencode date_to=2026-04-30T23:59:59Z
1{
2 "success": true,
3 "data": {
4 "transactions": [
5 {
6 "id": "43b715d7-cc3d-4593-a0af-1e248d9953b0",
7 "external_id": "01000000-dda7-55d6-6ed1-08de96d692af",
8 "reference": "pag-s1s22ssss2s",
9 "client_id": "a612b202-6690-4d24-ba35-2e36c8f3c0ce",
10 "type": "cash_out",
11 "amount": "0.10",
12 "gross_amount": "0.14",
13 "net_amount": "0.10",
14 "tax_amount": "0.04",
15 "currency": "BRL",
16 "status": "completed",
17 "pix_key": "6b631786-29c2-4f8b-b1ed-2b88a53cf8a4",
18 "pix_key_type": "evp",
19 "e2e": "E24722685202604100755GNZ5DGMBWZK",
20 "payer_name": "Joao Silveira da Silva",
21 "payer_document": "12345678901",
22 "receiver_name": "Alice Silveira da Silva",
23 "receiver_document": "98765432100",
24 "payer": {
25 "name": "Joao Silveira da Silva",
26 "document": "12345678901"
27 },
28 "receiver": {
29 "name": "Alice Silveira da Silva",
30 "document": "98765432100",
31 "bank": {
32 "ispb": "22896431",
33 "participant_name": "PICPAY",
34 "agency": "0001",
35 "account": "898130557",
36 "account_type": ""
37 }
38 },
39 "description": "Pagamento fornecedor",
40 "channel": "api",
41 "processed_at": "2026-04-10T07:55:51Z",
42 "created_at": "2026-04-10T07:55:45Z",
43 "updated_at": "2026-04-10T07:55:51Z",
44 "ledger_entries": [
45 {
46 "operation_type": "hold",
47 "amount": "0.140000",
48 "status": "completed",
49 "available_before": "5.590000",
50 "available_after": "5.450000",
51 "blocked_before": "20.000000",
52 "blocked_after": "20.140000",
53 "created_at": "2026-04-10T07:55:45Z"
54 }
55 ]
56 }
57 ],
58 "total": 1,
59 "limit": 1,
60 "offset": 1
61 }
62}

Lists all transactions for the authenticated client with pagination and filtering by type, status, end-to-end ID, reference, and date range.

Scope: Bearer JWT

Date Range: When using date_from and date_to, the range cannot exceed 30 days. Returns HTTP 400 if exceeded.

Was this page helpful?
Previous

Get Transaction by ID

Next
Built with

Query parameters

limitintegerOptional1-100Defaults to 20

Number of records per page (1-100, default 20)

offsetintegerOptionalDefaults to 0

Offset for pagination (default 0)

typeenumOptional
Filter by transaction type
Allowed values:
statusenumOptional
Filter by transaction status
e2estringOptional

Filter by end-to-end ID (exact match)

referencestringOptional

Filter by transaction reference (exact match)

date_fromdatetimeOptional

Start of date range filter (RFC 3339 format). Must be used together with date_to. Range cannot exceed 30 days.

date_todatetimeOptional

End of date range filter (RFC 3339 format). Must be used together with date_from. Range cannot exceed 30 days.

Response

Paginated list of transactions
successboolean
dataobject

Errors

400
Bad Request Error